% Ejemplo de grafico sofisticado


xx=0:0.2:4;
yy=sin(xx/2);
err=(rand(1,length(xx))-0.5)/5;
yy_err=yy+err;

subplot(3,2,1)
plot(xx,yy,'r.-', xx,yy_err,'bo', xx,err, 'g-x')
xlabel('eje x')
ylabel('eje y')
title('plots 2D con formato')

legend('modelo','datos','errores')

subplot(3,2,2)
eb=errorbar(xx,yy_err,err);
hold on
plot(xx,yy,'r-')
hold off

set(eb,'linestyle','none')
set(eb,'marker','.')
grid()

xlabel('eje x')
ylabel('eje y')
title('combinando plot y errobar')

subplot(3,2,3)

semilogx(xx,yy,'r-')
grid()

xlabel('eje x logaritmico')
ylabel('eje y')
title('semilogx')

subplot(3,2,4)

semilogy(xx,yy*10,'b-')
grid()

xlabel('eje x')
ylabel('eje y logaritmico')
title('semilogy')

subplot(3,2,5)

loglog(xx,yy*10,'b-')
grid()

xlabel('eje x log')
ylabel('eje y log')
title('loglog')

subplot(3,2,6)

area(xx,yy_err)
grid()

xlabel('eje x')
ylabel('eje y')
title('area')

% print ("de_todo.png", "-color", "-FHelvetica:12", "-dpng")
